/* Copyright 2018 Oliver Smith
   SPDX-License-Identifier: GPL-3.0-or-later

   This file is used for single blog posts and for pages (e.g. FAQ). */

/* HEADLINES WITH TOC-LINKS */
.toclink {
    text-decoration: none;
}

.toclink:hover {
    text-decoration: underline;
}

/* IMAGES */
img.w150 {
    width: 150px;
}
img.w200 {
    width: 200px;
}
img.w300 {
    width: 300px;
}
img.w400 {
    width: 400px;
}
img.w400min {
    width: 400px;
    min-width: 400px;
}
img.wfull {
    width: 100%;
}
img.header_cover_top_line {
    width: calc(100% + 60px);
    margin: -38px -30px 0px;
}
img.center {
    display: block;
    max-width: 100%;
    margin-left: auto;
    margin-right: auto;
}

div.border,
img.border,
video.border {
    border: 1px solid lightgrey;
}

/* TEXT BELOW IMAGES */
span.w200,
span.w300,
span.w400,
span.img-center-subtext {
    display: inline-block;
    width: 200px;
    margin-left: auto;
    line-height: 1.2;
    font-size: small;
    max-width: 100%;
}
span.w300 {
    width: 300px;
}
span.w400 {
    width: 400px;
}
span.img-center-subtext {
    text-align: center;
    width: 100%;
}

/* GRID */
.grid {
    display: grid;
    grid-template-areas: "text   . side"
                         "bottom . side";
    grid-template-columns: auto 20px auto;
    align-items: center;
}

.grid-text {
    grid-area: text;
}

.grid-side {
    display: flex;
    flex-direction: column;
    grid-area: side;
    text-align: center;
}
.grid-side img,
.grid-side video {
    max-width: 100%;
}
.grid-side label {
    text-align: center;
}

.grid-bottom {
    grid-area: bottom;
}
.grid-bottom img,
.grid-bottom video {
    border: 1px solid lightgrey;
}

/* TEAM PAGES */
.contributor-name {
    text-align: left;
}
.avatar {
    float: right;
    padding: 10px;
    border-radius: 50%;
}
.team-page-separator {
    border: 2px solid green;
    width: 200px;
    margin: 50px auto;
}

/* RESPONSIVENESS */
@media screen and (max-width: 50rem) {
    .grid {
        grid-template-areas: "side"
                             "text"
                             "bottom";
        grid-template-columns: 100%;
    }
    .grid-side {
        align-items: center;
    }
    .grid-bottom {
        text-align: center;
    }
    /* TEAM PAGES */
    .contributor-name {
        text-align: center;
        margin-top: 0;
    }
    .avatar {
        float: none;
        margin: auto;
        display: block;
    }
}
@media screen and (max-width: 25rem) {
    .date,
    .reading_time {
        font-size: 1rem;
    }
}

/* TABLE: SPECS */
.table-specs {
    font-size: 1.1rem;
    border-spacing: 1rem;
    border-collapse: collapse;
    margin: 5px 5px 10px 5px;
    width: 100%;
}

.table-specs thead { /* first column */
    text-align: left;
    background-color:  var(--view-background-colour);
}

.table-specs thead tr th:nth-child(2n) { /* second column */
    text-align: left;
    padding-right: 1rem;
    padding-left: 1rem;
}


.table-specs tr td { /* first column */
    text-align: left;
}
.table-specs tr td:nth-child(2n) { /* second column */
    text-align: left;
    padding-right: 1rem;
    padding-left: 1rem;
}

.table-specs tr:nth-child(2n) {
    background-color: var(--alternating-row-background-colour);
}

.new {
    display: inline-block;
    color: white;
    padding: 0px 6px;
    font-size: .9rem;
    border-radius: 7px;
    background-color: #090;
    position: relative;
    top: -3px;
    margin-left: 5px;
    line-height: 1.5;
}

/* BUTTON */
.download-link {
    text-decoration-thickness: 0.2rem;
}

.mr {
    white-space: nowrap;
}
